Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.client.container
Class SessionAspect

    java.lang.Object
      org.jboss.jms.client.container.SessionAspect

public class SessionAspect
extends java.lang.Object

This aspect handles JMS session related logic This aspect is PER_VM

Author:

  Constructor Summary
  `SessionAspect()`

  Method Summary
  `java.lang.Object` | `handleGetAcknowledgeMode(Invocation invocation)`
  `java.lang.Object` | `handleGetTransacted(Invocation invocation)`
  `java.lang.Object` | `handleGetXAResource(Invocation invocation)`
  `java.lang.Object` | `handlePostDeliver(Invocation invocation)`
  `java.lang.Object` | `handleRecover(Invocation invocation)`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Constructor Detail

  ### SessionAspect

      public SessionAspect()

  Method Detail

  ### handlePostDeliver

      public java.lang.Object handlePostDeliver(Invocation invocation)
                                         throws java.lang.Throwable

    Throws:
      `java.lang.Throwable`

  ### handleRecover

      public java.lang.Object handleRecover(Invocation invocation)
                                     throws java.lang.Throwable

    Throws:
      `java.lang.Throwable`

  ### handleGetXAResource

      public java.lang.Object handleGetXAResource(Invocation invocation)
                                           throws java.lang.Throwable

    Throws:
      `java.lang.Throwable`

  ### handleGetTransacted

      public java.lang.Object handleGetTransacted(Invocation invocation)
                                           throws java.lang.Throwable

    Throws:
      `java.lang.Throwable`

  ### handleGetAcknowledgeMode

      public java.lang.Object handleGetAcknowledgeMode(Invocation invocation)
                                                throws java.lang.Throwable

    Throws:
      `java.lang.Throwable`

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2006 JBoss Inc. All Rights Reserved.